API ReferenceS-CWT Google Pass templates
Create a Google Pass template
POST
/v2/credentials/compact-semantic/digital-pass/google/templatesCreates a Google Pass template based on the provided .zip file. Refer to our Design a Google Pass template guide for more information on how to design the template and how to structure the .zip file.
Roles
adminissuermanaged-issuer
Analytics Events
CREDENTIAL_COMPACT_SEMANTIC_GOOGLE_PASS_TEMPLATE_CREATE_STARTCREDENTIAL_COMPACT_SEMANTIC_GOOGLE_PASS_TEMPLATE_CREATE_SUCCESSCREDENTIAL_COMPACT_SEMANTIC_GOOGLE_PASS_TEMPLATE_CREATE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v2/credentials/compact-semantic/digital-pass/google/templates" \ -F template="string" \ -F name="string" \ -F issuerId="string" \ -F serviceAccountClientEmail="string" \ -F serviceAccountPrivateKey="string"{ "id": "string", "passType": "apple", "name": "string", "metadata": { "issuerId": "string", "serviceAccountClientEmail": "string", "payPassId": "string" }}How would you rate this page?